<?php 

/**
 * Modelo creado para la tabla opina_webinars
 * Creado por Said Andres
 * 19/04/2022
 */
class ModelWebinars extends CI_Model
{
	//Metodo Para insertar datos en la tabla opina_news
	public function insert_webinars($data)
	{
		if ($this->db->insert('opina_webinars',$data)) {
			return true;
		}else{
			return false;
		}
	}


	//Metodo que realiza un update a la tabla opina_webinars
	//Recibe un array con los datos, un campo, y el dato a actualizar
	public function update_webinars($data,$field,$where)
	{
		$this->db->where($field,$where);
		if ($this->db->update('opina_webinars',$data)) {
			return true;
		}else{
			return false;
		}
	}

	//Metodo para eliminar un usuario de la tabla opina_webinars
	//solo se puede eliminar con el web_id
	public function detele_webinars($where)
	{
		$this->db->where('web_id',$where);
		if ($this->db->delete('opina_webinars')) {
			return true;
		}else{
			return false;
		}
	}

	//Metodo que registros de la tabla opina_webinars
	//si recibe un parametro ejecuta la consulta con filtro
	public function get_webinars($where='')
	{
		if ($where == "") {
			$sql = "SELECT * FROM opina_webinars";
		}else{
			$sql = "SELECT * FROM opina_webinars WHERE ".$where;
		}
		return $this->db->query($sql);
	}
}

 ?>